package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkOrderSon extends BaseMesPageBean {


    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 0a062314e35c11ea8334fa163e1166bd
         * createDateTime : null
         * updateDateTime : 1598192066000
         * woCode : GD20082100001
         * description : 1
         * locationId : f4765abfdab011ea8334fa163e1166bd
         * assetId : null
         * parentId : 570f78e7e1cb11ea8334fa163e1166bd
         * failureCodeId : null
         * questionId : null
         * workType : null
         * woType : null
         * status : 5
         * siteId : null
         * shutDown : null
         * shutdownTime : null
         * recoveryTime : null
         * grant : null
         * materiel : null
         * detailedInformation : null
         * schedStart : null
         * schedFinish : null
         * actStart : null
         * actFinish : null
         * pmCode : null
         * standardOperation : null
         * createBy : null
         * changeBy : 398c852b38e911ea8334fa163e1166bd
         * failure : null
         * question : null
         * parentCode : null
         * parentName : null
         * astLocations : {"id":null,"createDateTime":null,"updateDateTime":null,"locationCode":"HW","locationName":null,"description":null,"type":null,"grandfatheId":null,"grandfatheCode":null,"parentId":null,"parentCode":null,"parentDesc":null,"siteId":null,"siteCode":null,"siteName":null,"address":null,"groupCode":null,"dfault":null,"shipToAddressCode":null,"shipToLaborCode":null,"billToAddressCode":null,"billToLaborCode":null,"status":null,"invOwner":null,"enable":null,"createby":null,"createCardNo":null,"changeby":null,"remark":null,"apptype":null,"controlAcc":null,"shrinkageAcc":null,"invcostadjAcc":null,"invoicevarAcc":null,"receiptvarAcc":null,"curvarAcc":null,"purchvarAcc":null,"toolcontrolAcc":null,"departId":null,"departCode":null,"orgId":null,"site":null,"delete":null,"procId":null}
         * locationCode : HW
         * locationName : 测试
         * astAsset : {"id":null,"createDateTime":null,"updateDateTime":null,"assetCode":null,"assetId":null,"description":null,"classification":null,"status":null,"assetType":null,"siteId":null,"parentName":null,"parentId":null,"locationId":null,"delete":null,"createby":null,"changeby":null,"fixed":null,"statusDateTime":null,"remark":null,"orgId":null,"equipmentCategory":null,"equipmentSubcategory":null,"cardCode":null,"remarks":null,"manufacturerCode":null,"specification":null,"serialCode":null,"manufactureDate":null,"installDate":null,"effectiveDate":null,"verificationDate":null,"verificationCycle":null,"failerId":null,"siteName":null,"workshop":null,"commissionDate":null,"guaranteeCycle":null,"standardLife":null,"usedLife":null,"ratedPower":null,"ratedCurrent":null,"voltageLevel":null,"majorEquipment":null,"notSelectId":null,"site":null,"parent":null,"astLocations":null,"category":null,"subcategory":null,"astFailurelist":null,"depart":null,"createUser":null}
         * assetCode : null
         * assetName : null
         * site : null
         * procId : null
         * delete : false
         * linkedNumberId : null
         * linkedNumber : null
         * createName : null
         */

        private String id;
        private Object createDateTime;
        private long updateDateTime;
        private String woCode;
        private String description;
        private String locationId;
        private Object assetId;
        private String parentId;
        private Object failureCodeId;
        private Object questionId;
        private Object workType;
        private Object woType;
        private int status;
        private Object siteId;
        private Object shutDown;
        private Object shutdownTime;
        private Object recoveryTime;
        private Object grant;
        private Object materiel;
        private Object detailedInformation;
        private Object schedStart;
        private Object schedFinish;
        private Object actStart;
        private Object actFinish;
        private Object pmCode;
        private Object standardOperation;
        private Object createBy;
        private String changeBy;
        private Object failure;
        private Object question;
        private Object parentCode;
        private Object parentName;
        private AstLocationsBean astLocations;
        private String locationCode;
        private String locationName;
        private AstAssetBean astAsset;
        private String assetCode;
        private Object assetName;
        private Object site;
        private Object procId;
        private boolean delete;
        private Object linkedNumberId;
        private Object linkedNumber;
        private Object createName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getWoCode() {
            return woCode;
        }

        public void setWoCode(String woCode) {
            this.woCode = woCode;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getLocationId() {
            return locationId;
        }

        public void setLocationId(String locationId) {
            this.locationId = locationId;
        }

        public Object getAssetId() {
            return assetId;
        }

        public void setAssetId(Object assetId) {
            this.assetId = assetId;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public Object getFailureCodeId() {
            return failureCodeId;
        }

        public void setFailureCodeId(Object failureCodeId) {
            this.failureCodeId = failureCodeId;
        }

        public Object getQuestionId() {
            return questionId;
        }

        public void setQuestionId(Object questionId) {
            this.questionId = questionId;
        }

        public Object getWorkType() {
            return workType;
        }

        public void setWorkType(Object workType) {
            this.workType = workType;
        }

        public Object getWoType() {
            return woType;
        }

        public void setWoType(Object woType) {
            this.woType = woType;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public Object getSiteId() {
            return siteId;
        }

        public void setSiteId(Object siteId) {
            this.siteId = siteId;
        }

        public Object getShutDown() {
            return shutDown;
        }

        public void setShutDown(Object shutDown) {
            this.shutDown = shutDown;
        }

        public Object getShutdownTime() {
            return shutdownTime;
        }

        public void setShutdownTime(Object shutdownTime) {
            this.shutdownTime = shutdownTime;
        }

        public Object getRecoveryTime() {
            return recoveryTime;
        }

        public void setRecoveryTime(Object recoveryTime) {
            this.recoveryTime = recoveryTime;
        }

        public Object getGrant() {
            return grant;
        }

        public void setGrant(Object grant) {
            this.grant = grant;
        }

        public Object getMateriel() {
            return materiel;
        }

        public void setMateriel(Object materiel) {
            this.materiel = materiel;
        }

        public Object getDetailedInformation() {
            return detailedInformation;
        }

        public void setDetailedInformation(Object detailedInformation) {
            this.detailedInformation = detailedInformation;
        }

        public Object getSchedStart() {
            return schedStart;
        }

        public void setSchedStart(Object schedStart) {
            this.schedStart = schedStart;
        }

        public Object getSchedFinish() {
            return schedFinish;
        }

        public void setSchedFinish(Object schedFinish) {
            this.schedFinish = schedFinish;
        }

        public Object getActStart() {
            return actStart;
        }

        public void setActStart(Object actStart) {
            this.actStart = actStart;
        }

        public Object getActFinish() {
            return actFinish;
        }

        public void setActFinish(Object actFinish) {
            this.actFinish = actFinish;
        }

        public Object getPmCode() {
            return pmCode;
        }

        public void setPmCode(Object pmCode) {
            this.pmCode = pmCode;
        }

        public Object getStandardOperation() {
            return standardOperation;
        }

        public void setStandardOperation(Object standardOperation) {
            this.standardOperation = standardOperation;
        }

        public Object getCreateBy() {
            return createBy;
        }

        public void setCreateBy(Object createBy) {
            this.createBy = createBy;
        }

        public String getChangeBy() {
            return changeBy;
        }

        public void setChangeBy(String changeBy) {
            this.changeBy = changeBy;
        }

        public Object getFailure() {
            return failure;
        }

        public void setFailure(Object failure) {
            this.failure = failure;
        }

        public Object getQuestion() {
            return question;
        }

        public void setQuestion(Object question) {
            this.question = question;
        }

        public Object getParentCode() {
            return parentCode;
        }

        public void setParentCode(Object parentCode) {
            this.parentCode = parentCode;
        }

        public Object getParentName() {
            return parentName;
        }

        public void setParentName(Object parentName) {
            this.parentName = parentName;
        }

        public AstLocationsBean getAstLocations() {
            return astLocations;
        }

        public void setAstLocations(AstLocationsBean astLocations) {
            this.astLocations = astLocations;
        }

        public String getLocationCode() {
            return locationCode;
        }

        public void setLocationCode(String locationCode) {
            this.locationCode = locationCode;
        }

        public String getLocationName() {
            return locationName;
        }

        public void setLocationName(String locationName) {
            this.locationName = locationName;
        }

        public AstAssetBean getAstAsset() {
            return astAsset;
        }

        public void setAstAsset(AstAssetBean astAsset) {
            this.astAsset = astAsset;
        }

        public String getAssetCode() {
            return assetCode;
        }

        public void setAssetCode(String assetCode) {
            this.assetCode = assetCode;
        }

        public Object getAssetName() {
            return assetName;
        }

        public void setAssetName(Object assetName) {
            this.assetName = assetName;
        }

        public Object getSite() {
            return site;
        }

        public void setSite(Object site) {
            this.site = site;
        }

        public Object getProcId() {
            return procId;
        }

        public void setProcId(Object procId) {
            this.procId = procId;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }

        public Object getLinkedNumberId() {
            return linkedNumberId;
        }

        public void setLinkedNumberId(Object linkedNumberId) {
            this.linkedNumberId = linkedNumberId;
        }

        public Object getLinkedNumber() {
            return linkedNumber;
        }

        public void setLinkedNumber(Object linkedNumber) {
            this.linkedNumber = linkedNumber;
        }

        public Object getCreateName() {
            return createName;
        }

        public void setCreateName(Object createName) {
            this.createName = createName;
        }

        public static class AstLocationsBean {
            /**
             * id : null
             * createDateTime : null
             * updateDateTime : null
             * locationCode : HW
             * locationName : null
             * description : null
             * type : null
             * grandfatheId : null
             * grandfatheCode : null
             * parentId : null
             * parentCode : null
             * parentDesc : null
             * siteId : null
             * siteCode : null
             * siteName : null
             * address : null
             * groupCode : null
             * dfault : null
             * shipToAddressCode : null
             * shipToLaborCode : null
             * billToAddressCode : null
             * billToLaborCode : null
             * status : null
             * invOwner : null
             * enable : null
             * createby : null
             * createCardNo : null
             * changeby : null
             * remark : null
             * apptype : null
             * controlAcc : null
             * shrinkageAcc : null
             * invcostadjAcc : null
             * invoicevarAcc : null
             * receiptvarAcc : null
             * curvarAcc : null
             * purchvarAcc : null
             * toolcontrolAcc : null
             * departId : null
             * departCode : null
             * orgId : null
             * site : null
             * delete : null
             * procId : null
             */

            private Object id;
            private Object createDateTime;
            private Object updateDateTime;
            private String locationCode;
            private Object locationName;
            private Object description;
            private Object type;
            private Object grandfatheId;
            private Object grandfatheCode;
            private Object parentId;
            private Object parentCode;
            private Object parentDesc;
            private Object siteId;
            private Object siteCode;
            private Object siteName;
            private Object address;
            private Object groupCode;
            private Object dfault;
            private Object shipToAddressCode;
            private Object shipToLaborCode;
            private Object billToAddressCode;
            private Object billToLaborCode;
            private Object status;
            private Object invOwner;
            private Object enable;
            private Object createby;
            private Object createCardNo;
            private Object changeby;
            private Object remark;
            private Object apptype;
            private Object controlAcc;
            private Object shrinkageAcc;
            private Object invcostadjAcc;
            private Object invoicevarAcc;
            private Object receiptvarAcc;
            private Object curvarAcc;
            private Object purchvarAcc;
            private Object toolcontrolAcc;
            private Object departId;
            private Object departCode;
            private Object orgId;
            private Object site;
            private Object delete;
            private Object procId;

            public Object getId() {
                return id;
            }

            public void setId(Object id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getLocationCode() {
                return locationCode;
            }

            public void setLocationCode(String locationCode) {
                this.locationCode = locationCode;
            }

            public Object getLocationName() {
                return locationName;
            }

            public void setLocationName(Object locationName) {
                this.locationName = locationName;
            }

            public Object getDescription() {
                return description;
            }

            public void setDescription(Object description) {
                this.description = description;
            }

            public Object getType() {
                return type;
            }

            public void setType(Object type) {
                this.type = type;
            }

            public Object getGrandfatheId() {
                return grandfatheId;
            }

            public void setGrandfatheId(Object grandfatheId) {
                this.grandfatheId = grandfatheId;
            }

            public Object getGrandfatheCode() {
                return grandfatheCode;
            }

            public void setGrandfatheCode(Object grandfatheCode) {
                this.grandfatheCode = grandfatheCode;
            }

            public Object getParentId() {
                return parentId;
            }

            public void setParentId(Object parentId) {
                this.parentId = parentId;
            }

            public Object getParentCode() {
                return parentCode;
            }

            public void setParentCode(Object parentCode) {
                this.parentCode = parentCode;
            }

            public Object getParentDesc() {
                return parentDesc;
            }

            public void setParentDesc(Object parentDesc) {
                this.parentDesc = parentDesc;
            }

            public Object getSiteId() {
                return siteId;
            }

            public void setSiteId(Object siteId) {
                this.siteId = siteId;
            }

            public Object getSiteCode() {
                return siteCode;
            }

            public void setSiteCode(Object siteCode) {
                this.siteCode = siteCode;
            }

            public Object getSiteName() {
                return siteName;
            }

            public void setSiteName(Object siteName) {
                this.siteName = siteName;
            }

            public Object getAddress() {
                return address;
            }

            public void setAddress(Object address) {
                this.address = address;
            }

            public Object getGroupCode() {
                return groupCode;
            }

            public void setGroupCode(Object groupCode) {
                this.groupCode = groupCode;
            }

            public Object getDfault() {
                return dfault;
            }

            public void setDfault(Object dfault) {
                this.dfault = dfault;
            }

            public Object getShipToAddressCode() {
                return shipToAddressCode;
            }

            public void setShipToAddressCode(Object shipToAddressCode) {
                this.shipToAddressCode = shipToAddressCode;
            }

            public Object getShipToLaborCode() {
                return shipToLaborCode;
            }

            public void setShipToLaborCode(Object shipToLaborCode) {
                this.shipToLaborCode = shipToLaborCode;
            }

            public Object getBillToAddressCode() {
                return billToAddressCode;
            }

            public void setBillToAddressCode(Object billToAddressCode) {
                this.billToAddressCode = billToAddressCode;
            }

            public Object getBillToLaborCode() {
                return billToLaborCode;
            }

            public void setBillToLaborCode(Object billToLaborCode) {
                this.billToLaborCode = billToLaborCode;
            }

            public Object getStatus() {
                return status;
            }

            public void setStatus(Object status) {
                this.status = status;
            }

            public Object getInvOwner() {
                return invOwner;
            }

            public void setInvOwner(Object invOwner) {
                this.invOwner = invOwner;
            }

            public Object getEnable() {
                return enable;
            }

            public void setEnable(Object enable) {
                this.enable = enable;
            }

            public Object getCreateby() {
                return createby;
            }

            public void setCreateby(Object createby) {
                this.createby = createby;
            }

            public Object getCreateCardNo() {
                return createCardNo;
            }

            public void setCreateCardNo(Object createCardNo) {
                this.createCardNo = createCardNo;
            }

            public Object getChangeby() {
                return changeby;
            }

            public void setChangeby(Object changeby) {
                this.changeby = changeby;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }

            public Object getApptype() {
                return apptype;
            }

            public void setApptype(Object apptype) {
                this.apptype = apptype;
            }

            public Object getControlAcc() {
                return controlAcc;
            }

            public void setControlAcc(Object controlAcc) {
                this.controlAcc = controlAcc;
            }

            public Object getShrinkageAcc() {
                return shrinkageAcc;
            }

            public void setShrinkageAcc(Object shrinkageAcc) {
                this.shrinkageAcc = shrinkageAcc;
            }

            public Object getInvcostadjAcc() {
                return invcostadjAcc;
            }

            public void setInvcostadjAcc(Object invcostadjAcc) {
                this.invcostadjAcc = invcostadjAcc;
            }

            public Object getInvoicevarAcc() {
                return invoicevarAcc;
            }

            public void setInvoicevarAcc(Object invoicevarAcc) {
                this.invoicevarAcc = invoicevarAcc;
            }

            public Object getReceiptvarAcc() {
                return receiptvarAcc;
            }

            public void setReceiptvarAcc(Object receiptvarAcc) {
                this.receiptvarAcc = receiptvarAcc;
            }

            public Object getCurvarAcc() {
                return curvarAcc;
            }

            public void setCurvarAcc(Object curvarAcc) {
                this.curvarAcc = curvarAcc;
            }

            public Object getPurchvarAcc() {
                return purchvarAcc;
            }

            public void setPurchvarAcc(Object purchvarAcc) {
                this.purchvarAcc = purchvarAcc;
            }

            public Object getToolcontrolAcc() {
                return toolcontrolAcc;
            }

            public void setToolcontrolAcc(Object toolcontrolAcc) {
                this.toolcontrolAcc = toolcontrolAcc;
            }

            public Object getDepartId() {
                return departId;
            }

            public void setDepartId(Object departId) {
                this.departId = departId;
            }

            public Object getDepartCode() {
                return departCode;
            }

            public void setDepartCode(Object departCode) {
                this.departCode = departCode;
            }

            public Object getOrgId() {
                return orgId;
            }

            public void setOrgId(Object orgId) {
                this.orgId = orgId;
            }

            public Object getSite() {
                return site;
            }

            public void setSite(Object site) {
                this.site = site;
            }

            public Object getDelete() {
                return delete;
            }

            public void setDelete(Object delete) {
                this.delete = delete;
            }

            public Object getProcId() {
                return procId;
            }

            public void setProcId(Object procId) {
                this.procId = procId;
            }
        }

        public static class AstAssetBean {
            /**
             * id : null
             * createDateTime : null
             * updateDateTime : null
             * assetCode : null
             * assetId : null
             * description : null
             * classification : null
             * status : null
             * assetType : null
             * siteId : null
             * parentName : null
             * parentId : null
             * locationId : null
             * delete : null
             * createby : null
             * changeby : null
             * fixed : null
             * statusDateTime : null
             * remark : null
             * orgId : null
             * equipmentCategory : null
             * equipmentSubcategory : null
             * cardCode : null
             * remarks : null
             * manufacturerCode : null
             * specification : null
             * serialCode : null
             * manufactureDate : null
             * installDate : null
             * effectiveDate : null
             * verificationDate : null
             * verificationCycle : null
             * failerId : null
             * siteName : null
             * workshop : null
             * commissionDate : null
             * guaranteeCycle : null
             * standardLife : null
             * usedLife : null
             * ratedPower : null
             * ratedCurrent : null
             * voltageLevel : null
             * majorEquipment : null
             * notSelectId : null
             * site : null
             * parent : null
             * astLocations : null
             * category : null
             * subcategory : null
             * astFailurelist : null
             * depart : null
             * createUser : null
             */

            private Object id;
            private Object createDateTime;
            private Object updateDateTime;
            private Object assetCode;
            private Object assetId;
            private Object description;
            private Object classification;
            private Object status;
            private Object assetType;
            private Object siteId;
            private Object parentName;
            private Object parentId;
            private Object locationId;
            private Object delete;
            private Object createby;
            private Object changeby;
            private Object fixed;
            private Object statusDateTime;
            private Object remark;
            private Object orgId;
            private Object equipmentCategory;
            private Object equipmentSubcategory;
            private Object cardCode;
            private Object remarks;
            private Object manufacturerCode;
            private Object specification;
            private Object serialCode;
            private Object manufactureDate;
            private Object installDate;
            private Object effectiveDate;
            private Object verificationDate;
            private Object verificationCycle;
            private Object failerId;
            private Object siteName;
            private Object workshop;
            private Object commissionDate;
            private Object guaranteeCycle;
            private Object standardLife;
            private Object usedLife;
            private Object ratedPower;
            private Object ratedCurrent;
            private Object voltageLevel;
            private Object majorEquipment;
            private Object notSelectId;
            private Object site;
            private Object parent;
            private Object astLocations;
            private Object category;
            private Object subcategory;
            private Object astFailurelist;
            private Object depart;
            private Object createUser;

            public Object getId() {
                return id;
            }

            public void setId(Object id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public Object getAssetCode() {
                return assetCode;
            }

            public void setAssetCode(Object assetCode) {
                this.assetCode = assetCode;
            }

            public Object getAssetId() {
                return assetId;
            }

            public void setAssetId(Object assetId) {
                this.assetId = assetId;
            }

            public Object getDescription() {
                return description;
            }

            public void setDescription(Object description) {
                this.description = description;
            }

            public Object getClassification() {
                return classification;
            }

            public void setClassification(Object classification) {
                this.classification = classification;
            }

            public Object getStatus() {
                return status;
            }

            public void setStatus(Object status) {
                this.status = status;
            }

            public Object getAssetType() {
                return assetType;
            }

            public void setAssetType(Object assetType) {
                this.assetType = assetType;
            }

            public Object getSiteId() {
                return siteId;
            }

            public void setSiteId(Object siteId) {
                this.siteId = siteId;
            }

            public Object getParentName() {
                return parentName;
            }

            public void setParentName(Object parentName) {
                this.parentName = parentName;
            }

            public Object getParentId() {
                return parentId;
            }

            public void setParentId(Object parentId) {
                this.parentId = parentId;
            }

            public Object getLocationId() {
                return locationId;
            }

            public void setLocationId(Object locationId) {
                this.locationId = locationId;
            }

            public Object getDelete() {
                return delete;
            }

            public void setDelete(Object delete) {
                this.delete = delete;
            }

            public Object getCreateby() {
                return createby;
            }

            public void setCreateby(Object createby) {
                this.createby = createby;
            }

            public Object getChangeby() {
                return changeby;
            }

            public void setChangeby(Object changeby) {
                this.changeby = changeby;
            }

            public Object getFixed() {
                return fixed;
            }

            public void setFixed(Object fixed) {
                this.fixed = fixed;
            }

            public Object getStatusDateTime() {
                return statusDateTime;
            }

            public void setStatusDateTime(Object statusDateTime) {
                this.statusDateTime = statusDateTime;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }

            public Object getOrgId() {
                return orgId;
            }

            public void setOrgId(Object orgId) {
                this.orgId = orgId;
            }

            public Object getEquipmentCategory() {
                return equipmentCategory;
            }

            public void setEquipmentCategory(Object equipmentCategory) {
                this.equipmentCategory = equipmentCategory;
            }

            public Object getEquipmentSubcategory() {
                return equipmentSubcategory;
            }

            public void setEquipmentSubcategory(Object equipmentSubcategory) {
                this.equipmentSubcategory = equipmentSubcategory;
            }

            public Object getCardCode() {
                return cardCode;
            }

            public void setCardCode(Object cardCode) {
                this.cardCode = cardCode;
            }

            public Object getRemarks() {
                return remarks;
            }

            public void setRemarks(Object remarks) {
                this.remarks = remarks;
            }

            public Object getManufacturerCode() {
                return manufacturerCode;
            }

            public void setManufacturerCode(Object manufacturerCode) {
                this.manufacturerCode = manufacturerCode;
            }

            public Object getSpecification() {
                return specification;
            }

            public void setSpecification(Object specification) {
                this.specification = specification;
            }

            public Object getSerialCode() {
                return serialCode;
            }

            public void setSerialCode(Object serialCode) {
                this.serialCode = serialCode;
            }

            public Object getManufactureDate() {
                return manufactureDate;
            }

            public void setManufactureDate(Object manufactureDate) {
                this.manufactureDate = manufactureDate;
            }

            public Object getInstallDate() {
                return installDate;
            }

            public void setInstallDate(Object installDate) {
                this.installDate = installDate;
            }

            public Object getEffectiveDate() {
                return effectiveDate;
            }

            public void setEffectiveDate(Object effectiveDate) {
                this.effectiveDate = effectiveDate;
            }

            public Object getVerificationDate() {
                return verificationDate;
            }

            public void setVerificationDate(Object verificationDate) {
                this.verificationDate = verificationDate;
            }

            public Object getVerificationCycle() {
                return verificationCycle;
            }

            public void setVerificationCycle(Object verificationCycle) {
                this.verificationCycle = verificationCycle;
            }

            public Object getFailerId() {
                return failerId;
            }

            public void setFailerId(Object failerId) {
                this.failerId = failerId;
            }

            public Object getSiteName() {
                return siteName;
            }

            public void setSiteName(Object siteName) {
                this.siteName = siteName;
            }

            public Object getWorkshop() {
                return workshop;
            }

            public void setWorkshop(Object workshop) {
                this.workshop = workshop;
            }

            public Object getCommissionDate() {
                return commissionDate;
            }

            public void setCommissionDate(Object commissionDate) {
                this.commissionDate = commissionDate;
            }

            public Object getGuaranteeCycle() {
                return guaranteeCycle;
            }

            public void setGuaranteeCycle(Object guaranteeCycle) {
                this.guaranteeCycle = guaranteeCycle;
            }

            public Object getStandardLife() {
                return standardLife;
            }

            public void setStandardLife(Object standardLife) {
                this.standardLife = standardLife;
            }

            public Object getUsedLife() {
                return usedLife;
            }

            public void setUsedLife(Object usedLife) {
                this.usedLife = usedLife;
            }

            public Object getRatedPower() {
                return ratedPower;
            }

            public void setRatedPower(Object ratedPower) {
                this.ratedPower = ratedPower;
            }

            public Object getRatedCurrent() {
                return ratedCurrent;
            }

            public void setRatedCurrent(Object ratedCurrent) {
                this.ratedCurrent = ratedCurrent;
            }

            public Object getVoltageLevel() {
                return voltageLevel;
            }

            public void setVoltageLevel(Object voltageLevel) {
                this.voltageLevel = voltageLevel;
            }

            public Object getMajorEquipment() {
                return majorEquipment;
            }

            public void setMajorEquipment(Object majorEquipment) {
                this.majorEquipment = majorEquipment;
            }

            public Object getNotSelectId() {
                return notSelectId;
            }

            public void setNotSelectId(Object notSelectId) {
                this.notSelectId = notSelectId;
            }

            public Object getSite() {
                return site;
            }

            public void setSite(Object site) {
                this.site = site;
            }

            public Object getParent() {
                return parent;
            }

            public void setParent(Object parent) {
                this.parent = parent;
            }

            public Object getAstLocations() {
                return astLocations;
            }

            public void setAstLocations(Object astLocations) {
                this.astLocations = astLocations;
            }

            public Object getCategory() {
                return category;
            }

            public void setCategory(Object category) {
                this.category = category;
            }

            public Object getSubcategory() {
                return subcategory;
            }

            public void setSubcategory(Object subcategory) {
                this.subcategory = subcategory;
            }

            public Object getAstFailurelist() {
                return astFailurelist;
            }

            public void setAstFailurelist(Object astFailurelist) {
                this.astFailurelist = astFailurelist;
            }

            public Object getDepart() {
                return depart;
            }

            public void setDepart(Object depart) {
                this.depart = depart;
            }

            public Object getCreateUser() {
                return createUser;
            }

            public void setCreateUser(Object createUser) {
                this.createUser = createUser;
            }
        }
    }
}
